#include <windows.h>
#include <GL/glew.h>
#include <GL/glut.h>
#include <iostream>
#include <GL/freeglut_ext.h>

enum Screen { MAIN_MENU, NEW_GAME_SETTINGS };
Screen currentScreen = MAIN_MENU;

void display()
{
    if (currentScreen == MAIN_MENU)
    {
        glClearColor(0.0, 0.0, 0.0, 1.0); // Set clear color to black
        glClear(GL_COLOR_BUFFER_BIT);
        
        glMatrixMode(GL_PROJECTION);
        glLoadIdentity();
        gluOrtho2D(0, 640, 0, 480); // Set up a 2D orthographic projection
        glMatrixMode(GL_MODELVIEW);
        
        glColor3f(1.0, 1.0, 1.0); // Set color to white
        glRasterPos2f(250, 400); // Position the text
        glutBitmapString(GLUT_BITMAP_HELVETICA_18, (const unsigned char*)"New Game");

        glRasterPos2f(250, 300);
        glutBitmapString(GLUT_BITMAP_HELVETICA_18, (const unsigned char*)"Load Game");

        glRasterPos2f(250, 200);
        glutBitmapString(GLUT_BITMAP_HELVETICA_18, (const unsigned char*)"Options");

        glutSwapBuffers();
    }
}

void mouse(int button, int state, int x, int y)
{
    if (button == GLUT_LEFT_BUTTON && state == GLUT_DOWN)
    {
        if (currentScreen == MAIN_MENU)
        {
            if (y > 300)
            {
                currentScreen = NEW_GAME_SETTINGS;
            }
            // Add handling for Load Game and Options here
        }
        else if (currentScreen == NEW_GAME_SETTINGS)
        {
            if (y > 300)
            {
                // Set difficulty to Easy
            }
            else if (y > 200)
            {
                // Set difficulty to Medium
            }
            else if (y > 100)
            {
                // Set difficulty to Hard
            }
        }
    }

    glutPostRedisplay(); // Request a redraw
}

int main(int argc, char** argv)
{
    glutInit(&argc, argv);
    glutInitDisplayMode(GLUT_DOUBLE | GLUT_RGB);
    glutInitWindowSize(640, 480);
    glutCreateWindow("Game Menu");
    glutDisplayFunc(display);
    glutMainLoop();
    return 0;
}